#include audio/context.js
#include sound/sndmgr.js
#include sound/sndlibrary.js
#include sound/sndpacks.js

const MamiSoundContext = function() {
    const audioCtx = new MamiAudioContext;
    const manager = new MamiSoundManager(audioCtx);
    const library = new MamiSoundLibrary(manager);
    const packs = new MamiSoundPacks;
    const packPlayer = new MamiSoundPackPlayer(library);

    const pub = {};

    Object.defineProperties(pub, {
        audio: { value: audioCtx, enumerable: true },
        manager: { value: manager, enumerable: true },
        library: { value: library, enumerable: true },
        packs: { value: packs, enumerable: true },
        packPlayer: { value: packPlayer, enumerable: true },

        ready: { get: audioCtx.isReady, enumerable: true },
        volume: { get: audioCtx.getVolume, set: audioCtx.setVolume, enumerable: true },
        muted: { get: audioCtx.isMuted, set: audioCtx.setMuted, enumerable: true },
    });

    pub.reset = audioCtx.reset;

    return Object.freeze(pub);
};
