#include sound/seinfeld.js

Umi.Sound = (() => {
    return {
        Play: sound => {
            if(!sound || sound === 'none')
                return;

            switch(sound) {
                case 'join':
                    if(!mami.settings.get('soundEnableJoin'))
                        return;

                    if(mami.settings.get('seinfeld')) {
                        mami.sound.library.play(Seinfeld.getRandom());
                        break;
                    }

                    switch(mami.settings.get('minecraft')) {
                        case 'yes':
                            mami.sound.library.play('minecraft:door:open');
                            break;

                        case 'old':
                            mami.sound.library.play('minecraft:door:open-old');
                            break;

                        default:
                            mami.sound.packPlayer.playEvent('join');
                            break;
                    }
                    break;

                case 'leave':
                    if(!mami.settings.get('soundEnableLeave'))
                        return;

                    switch(mami.settings.get('minecraft')) {
                        case 'yes':
                            mami.sound.library.play('minecraft:door:close');
                            break;

                        case 'old':
                            mami.sound.library.play('minecraft:door:close-old');
                            break;

                        default:
                            mami.sound.packPlayer.playEvent('leave');
                            break;
                    }
                    break;

                case 'error':
                    if(!mami.settings.get('soundEnableError'))
                        return;

                    mami.sound.packPlayer.playEvent('error');
                    break;

                case 'server':
                    if(!mami.settings.get('soundEnableServer'))
                        return;

                    mami.sound.packPlayer.playEvent('server');
                    break;

                case 'unban':
                    if(!mami.settings.get('soundEnableServer'))
                        return;

                    mami.sound.packPlayer.playEvent(['unban', 'server']);
                    break;

                case 'incoming':
                    if(!mami.settings.get('soundEnableIncoming'))
                        return;
                    
                    if(mami.settings.get('windowsLiveMessenger')) {
                        mami.sound.library.play('msn:incoming');
                    } else {
                        mami.sound.packPlayer.playEvent('incoming');
                    }
                    break;

                case 'outgoing':
                    if(!mami.settings.get('soundEnableOutgoing'))
                        return;

                    mami.sound.packPlayer.playEvent('outgoing');
                    break;

                case 'private':
                case 'incoming-priv':
                    if(!mami.settings.get('soundEnablePrivate'))
                        return;

                    mami.sound.packPlayer.playEvent(['incoming-priv', 'incoming']);
                    break;

                case 'flood':
                    if(!mami.settings.get('soundEnableForceLeave'))
                        return;

                    mami.sound.packPlayer.playEvent(['flood', 'kick', 'leave']);
                    break;

                case 'timeout':
                    if(!mami.settings.get('soundEnableForceLeave'))
                        return;

                    mami.sound.packPlayer.playEvent(['timeout', 'leave']);
                    break;

                case 'kick':
                case 'forceLeave':
                    if(!mami.settings.get('soundEnableForceLeave'))
                        return;

                    mami.sound.packPlayer.playEvent(['kick', 'leave']);
                    break;
            }
        },
    };
})();
